libwpd: WPXPropertyList Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WPXPropertyList Class Reference

`#include <WPXPropertyList.h>`

List of all members.

## Public Member Functions
| WPXPropertyList ()
| WPXPropertyList (const WPXPropertyList &)
virtual | ~WPXPropertyList ()
void | insert (const char *name, WPXProperty *prop)
void | insert (const char *name, const char *val)
void | insert (const char *name, const int val)
void | insert (const char *name, const bool val)
void | insert (const char *name, const WPXString &val)
void | insert (const char *name, const float val, const WPXUnit units=INCH)
void | remove (const char *name)
const WPXProperty * | operator[] (const char *name) const
void | clear ()
## Private Attributes
WPXMapImpl * | m_mapImpl
## Friends
class | WPXPropertyList::Iter
## Classes
class | Iter

## Constructor & Destructor Documentation

WPXPropertyList::WPXPropertyList | ( |  | ) |

WPXPropertyList::WPXPropertyList | ( | const WPXPropertyList & |  | ) |

WPXPropertyList::~WPXPropertyList | ( |  | ) | `[virtual]`

## Member Function Documentation

void WPXPropertyList::clear | ( |  | ) |

void WPXPropertyList::insert | ( | const char * | name,
|  | const float | val,
|  | const WPXUnit | units = `INCH`
| ) |

void WPXPropertyList::insert | ( | const char * | name,
|  | const WPXString & | val
| ) |

void WPXPropertyList::insert | ( | const char * | name,
|  | const bool | val
| ) |

void WPXPropertyList::insert | ( | const char * | name,
|  | const int | val
| ) |

void WPXPropertyList::insert | ( | const char * | name,
|  | const char * | val
| ) |

void WPXPropertyList::insert | ( | const char * | name,
|  | WPXProperty * | prop
| ) |

const WPXProperty * WPXPropertyList::operator[] | ( | const char * | name | ) | const

void WPXPropertyList::remove | ( | const char * | name | ) |

## Friends And Related Function Documentation

friend class WPXPropertyList::Iter`[friend]`

## Member Data Documentation

WPXMapImpl* WPXPropertyList::m_mapImpl`[mutable, private]`

The documentation for this class was generated from the following files:

- WPXPropertyList.h
- WPXPropertyList.cpp